From e0e0b5cb26dfba1497bd4b94b6e3157e0d247f80 Mon Sep 17 00:00:00 2001
From: nixpkgs-review <nixpkgs-review@example.com>
Date: Thu, 5 Nov 2020 11:42:54 -0300
Subject: Check that translations are up to date in tests

---
 scripts/sync-translations.sh | 7 +++++++
 tests.sh                     | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

diff --git a/scripts/sync-translations.sh b/scripts/sync-translations.sh
index 4becea6..7256f6e 100755
--- a/scripts/sync-translations.sh
+++ b/scripts/sync-translations.sh
@@ -7,3 +7,10 @@ set -x
 
 ./scripts/extract-translations.sh
 ./scripts/apply-translations.sh
+
+if [[ "${1:-}" = '--check' ]]; then
+  git diff --quiet || {
+    echo 'Translations are out of sync'
+    exit 1
+  }
+fi
diff --git a/tests.sh b/tests.sh
index 69e5de6..76d71d2 100755
--- a/tests.sh
+++ b/tests.sh
@@ -10,4 +10,4 @@ set -x
 ./scripts/assert-todos.sh
 
 ./scripts/assert-content.sh
-# ./scripts/sync-translations.sh --check
+./scripts/sync-translations.sh --check
-- 
cgit v1.2.3